advertisement

Article:
  Installing Tomcat on Mac OS X
Subject:   Upgraded to Java 1.4.1 now tomcat doesn't work
Date:   2005-08-08 13:36:26
From:   illovich
Response to: Upgraded to Java 1.4.1 now tomcat doesn't work

This may be part of your problem:


http://developer.apple.com/qa/qa2001/qa1025.html


Q: How do I re-enable JBoss and Tomcat to work after installing the Java 1.4.2 Update?


A: The run.conf script for starting the JBoss server has a hardcoded reference to the 1.4.1 JVM. Installing the Java 1.4.2 Update removes the Java 1.4.1 installation, and JBoss/Tomcat services will not be able to start.


To re-enable JBoss and Tomcat the reference below should be changed in the file: /Library/JBoss/3.2/bin/run.conf


from:
JAVA=/System/Library/Frameworks/JavaVM.framework/Versions/1.4.1/Home/bin/java


to:
JAVA=/usr/bin/java